package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysDictionary;
import cn.estsh.i3plus.pojo.platform.bean.SysToolType;

import java.util.List;

/**
 * @Description : 硬件类型服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-28 12:32
 * @Modify :
 **/
public interface ISysToolTypeService {

    /**
     * 添加硬件类型
     * @param toolType
     */
    void insertSysToolType(SysToolType toolType);

    /**
     * 删除硬件类型
     * @param id
     */
    void deleteSysToolTypeById(Long id);

    /**
     * 修改硬件类型
     * @param toolType
     */
    void updateSysToolType(SysToolType toolType);

    /**
     * 查找全部硬件类型
     * @return
     */
    List<SysToolType> listSysToolType();

    /**
     * 根据id查找硬件类型
     * @param id
     * @return
     */
    SysToolType getSysToolTypeById(Long id);

    /**
     * 硬件类型复杂查询，分页，排序
     * @param toolType
     * @param pager
     * @return
     */
    ListPager querySysToolTypeByPager(SysToolType toolType, Pager pager);

    /**
     * 批量删除硬件类型
     * @param ids
     */
    void deleteSysToolTypeByIds(Long[] ids);
}
